import { BasePermissions } from "@pnp/sp";
import { Metadata, IMetadata } from "./Metadata";
export interface IRoleDefinition extends IMetadata {
    BasePermissions: BasePermissions;
    Description: string;
    Hidden: boolean;
    Id: number;
    Name: string;
    Order: number;
    RoleTypeKind: number;
}
export declare class RoleDefinition extends Metadata implements IRoleDefinition {
    BasePermissions: BasePermissions;
    Description: string;
    Hidden: boolean;
    Id: number;
    Name: string;
    Order: number;
    RoleTypeKind: number;
    constructor();
}
