import { FieldUrlValue } from "../modelsSP";
export declare class FieldService {
    /**
     * get choiceFieldOptions
     * @param listName listName
     * @param fieldInternalName string
     */
    getChoiceFieldOptions<T>(listName: string, fieldInternalName: string): Promise<Array<T>>;
    /**
     * get LookupList
     * @param listName listName
     */
    getLookupList<T>(listName: string): Promise<Array<T>>;
    /**
     * Return publishing Image
     * @param listTitle name list
     * @param itemId item id
     * @param fieldName fieldname
     */
    static getPublishingImageField(listTitle: string, itemId: number, fieldName: string): Promise<FieldUrlValue>;
    /**
     * Return publishing Image
     * @param listTitle name list
     * @param itemId item id
     * @param fieldName fieldname
     */
    static getPublishingImageFieldRootWeb(listTitle: string, itemId: number, fieldName: string): Promise<FieldUrlValue>;
}
