import { SearchResults } from "@pnp/sp";
import { SearchSort } from "../modelsSP";
export declare class SearchService {
    /**
     * search elements passing properties only
     * @param queryText string
     * @param selectProperties string[]
     * @param startRow: number
     * @param rowLimit: number
     * @param refiners: string
     * @param refinementFilter: string[]
     * @param sourceId: Sting GUID
     * @param sortList: SearchSort[]
     */
    searchService(queryText?: string, selectProperties?: string[], startRow?: number, rowLimit?: number, refiners?: string, refinementFilter?: string[], sourceId?: string, sortList?: SearchSort[]): Promise<SearchResults>;
}
