export interface IUserPropsModel {
    Language: string;
    Country: string;
    City: string;
    Office: string;
    Sede: string;
    Manager: string;
    HiringDate: string;
    AvailableOldDays: string;
    NexusTagsPersonal: string[];
    NexusTagsCorporate: string[];
    CoreTagsPersonal: string[];
    CoreTagsCorporate: string[];
}
export declare class UserPropsModel implements IUserPropsModel {
    UserId: number;
    AccountName: string;
    DisplayName: string;
    Email: string;
    Language: string;
    Country: string;
    City: string;
    Office: string;
    Sede: string;
    Manager: string;
    HiringDate: string;
    AvailableOldDays: string;
    NexusTagsPersonal: string[];
    NexusTagsCorporate: string[];
    CoreTagsPersonal: string[];
    CoreTagsCorporate: string[];
    constructor();
    tagIsCorporative(nameTag: string): boolean;
    tagIsFollowed(nameTag: string): boolean;
    coreTagIsCorporative(nameTag: string): boolean;
    coreTagIsFollowed(nameTag: string): boolean;
}
