import { IMetadata, Metadata } from "./Metadata";
import { IFile } from "./File";
import { ContentType } from "./ContentType";
/**
 * List Item of SP
 */
export interface IListItem extends IMetadata {
    Attachments: boolean;
    AuthorId: number;
    ContentType: ContentType;
    ContentTypeId: string;
    Created: Date;
    EditorId: number;
    FileSystemObjectType: number;
    GUID: string;
    ID: number;
    Id: number;
    Modified: Date;
    OData__UIVersionString: string;
    ServerRedirectedEmbedUrl: string;
    Title: string;
    File: IFile;
}
export declare class ListItem extends Metadata implements IListItem {
    Attachments: boolean;
    AuthorId: number;
    ContentType: ContentType;
    ContentTypeId: string;
    Created: Date;
    EditorId: number;
    FileSystemObjectType: number;
    GUID: string;
    ID: number;
    Id: number;
    Modified: Date;
    OData__UIVersionString: string;
    ServerRedirectedEmbedUrl: string;
    Title: string;
    File: IFile;
    constructor();
}
