import { Metadata, IMetadata } from "./Metadata";
export interface IUserProfile extends IMetadata {
    AccountName: string;
    DisplayName: string;
    FollowPersonalSiteUrl: string;
    IsPeopleListPublic: boolean;
    IsPrivacySettingOn: boolean;
    IsSelf: boolean;
    JobTitle: string;
    MySiteFirstRunExperience: number;
    MySiteHostUrl: string;
    O15FirstRunExperience: number;
    PersonalSiteCapabilities: number;
    PersonalSiteFirstCreationError: string;
    PersonalSiteFirstCreationTime: Date;
    PersonalSiteInstantiationState: number;
    PersonalSiteLastCreationTime: Date;
    PersonalSiteNumberOfRetries: number;
    PictureImportEnabled: boolean;
    PictureUrl: string;
    PublicUrl: string;
    SipAddress: string;
    UrlToCreatePersonalSite: string;
}
export declare class UserProfile extends Metadata implements IUserProfile {
    AccountName: string;
    DisplayName: string;
    FollowPersonalSiteUrl: string;
    IsPeopleListPublic: boolean;
    IsPrivacySettingOn: boolean;
    IsSelf: boolean;
    JobTitle: string;
    MySiteFirstRunExperience: number;
    MySiteHostUrl: string;
    O15FirstRunExperience: number;
    PersonalSiteCapabilities: number;
    PersonalSiteFirstCreationError: string;
    PersonalSiteFirstCreationTime: Date;
    PersonalSiteInstantiationState: number;
    PersonalSiteLastCreationTime: Date;
    PersonalSiteNumberOfRetries: number;
    PictureImportEnabled: boolean;
    PictureUrl: string;
    PublicUrl: string;
    SipAddress: string;
    UrlToCreatePersonalSite: string;
    constructor();
}
